package com.ssj.bean.sys.lesson.domain;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @author yangcan
 * 类描述:一对一课程辅导表
 * 创建时间:2018年6月8日 上午10:53:39

 */
@Entity
@Table(name = "tb_lesson_service")
public class LessonService extends BaseEntity {
	
	private static final long serialVersionUID = 1L;

	private String orderId; //订单id

    private String orderNo;//订单编号

    private String vipId;//vip_id
  
    private int courseCount;//课次
    
    private String masterId;//校长id
    
    private String libId;//图书馆id
    
    private int   isListenTest = 0;//是否有试听课（0没有 1有）
    
    private String courseName; //授课科目
    
    private String grade;//授课年级
    
    private String startTime; //开始时间 2018-6-8 09:00-17:30
    
    private String endTime; //结束时间2018-6-9 09:00-17:30
    
    private Date createTime; //创建时间
    
    private int status; //0:未支付 1:已支付待服务 2:已完结服务
    
    private int currentCount; //当前课次
    
    private BigDecimal price;//课次单价
    
    private String teacherLever;//注册老师/明星老师/学霸老师
    
    private Integer type;// 1新单，2续单

	private int isGroup = 0; //0:一对一下单类型，1:小课下单类型
	private String lessonGroupId; //小课组id(小课下单类型的时候才会有)
	private int isChangeGroup;//0:小课正常组下单，1:小课换组下单

	@Column(name = "type")
    public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "order_id")
    public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	@Column(name = "order_no")
	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	@Column(name = "vip_id")
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	@Column(name = "course_count")
	public int getCourseCount() {
		return courseCount;
	}

	public void setCourseCount(int courseCount) {
		this.courseCount = courseCount;
	}

	@Column(name = "master_id")
	public String getMasterId() {
		return masterId;
	}

	public void setMasterId(String masterId) {
		this.masterId = masterId;
	}

	@Column(name = "is_listen_test")
	public int getIsListenTest() {
		return isListenTest;
	}

	public void setIsListenTest(int isListenTest) {
		this.isListenTest = isListenTest;
	}

	@Column(name = "course_name")
	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	@Column(name = "grade")
	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	@Column(name = "start_time")
	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	@Column(name = "end_time")
	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	@Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Column(name = "lib_id")
	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	@Column(name = "status")
	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	@Column(name = "current_count")
	public int getCurrentCount() {
		return currentCount;
	}

	public void setCurrentCount(int currentCount) {
		this.currentCount = currentCount;
	}

	@Column(name = "price")
	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	@Column(name = "teacher_lever")
	public String getTeacherLever() {
		return teacherLever;
	}

	public void setTeacherLever(String teacherLever) {
		this.teacherLever = teacherLever;
	}

	@Column(name = "is_group")
	public int getIsGroup() {
		return isGroup;
	}

	public void setIsGroup(int isGroup) {
		this.isGroup = isGroup;
	}

	@Column(name = "lesson_group_id")
	public String getLessonGroupId() {
		return lessonGroupId;
	}

	public void setLessonGroupId(String lessonGroupId) {
		this.lessonGroupId = lessonGroupId;
	}

	@Column(name = "is_change_group")
	public int getIsChangeGroup() {
		return isChangeGroup;
	}

	public void setIsChangeGroup(int isChangeGroup) {
		this.isChangeGroup = isChangeGroup;
	}
}
